#!/bin/bash
if [ $# -eq 4 ]; then
	if [ $4 != "-B" ]; then
	   cs=""
        else
           	cs="-B"
        fi
elif [ $# -eq 3 ]; then
	cs=""
else 
	echo "Usage ./build_index <reference.fa> <index_name> <log_file> [-B]"
	exit 1
fi

if [ "x" == "x$BOWTIE_INDEXES" ]; then 
       INDEX=`dirname $0`/../indexes/$2
else
	INDEX=$BOWTIE_INDEXES/$2
fi

echo "executing:" $0 >> $3
echo "index:" $INDEX_DIR $2 >> $3
echo "cmd:" `dirname $0`/../bowtie-build -f $1 $cs -q $INDEX >> $3
`dirname $0`/../bowtie-build -f $1 $cs -q $INDEX

echo "index created" >> $3
`dirname $0`/../bowtie-inspect -s $INDEX >> $3



