#!/bin/bash
if [ $# -ne 1 ]; then
	echo "Usage ./ls_indexes.sh <indexes>"
	exit 1
fi

if [ "x" == "x$BOWTIE_INDEXES" ]; then 
       INDEX_DIR=`dirname $0`/../indexes/
else
	INDEX_DIR=$BOWTIE_INDEXES
fi

bowtieIndexes=/tmp/bowtie_index.$$.txt

echo "Found indexes in " $INDEX_DIR > $1
ls $INDEX_DIR/*rev.1.ebwt | sed "s;.*/\(.*\)\.rev\.1\.ebwt;\1;" > $bowtieIndexes

while read line
do
  echo "==== " $line " =====" >> $1
  `dirname $0`/../bowtie-inspect -s $line >> $1
  echo "=========" >> $1
done < $bowtieIndexes

rm $bowtieIndexes

